﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace ComboItemBinding
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            this.cbClinic.DataContext = Clinic.SelfListAll();

        }
    }

    public class Clinic : INotifyPropertyChanged
    {
        private int clinicID;

        public int ClinicID
        {
            get { return clinicID; }
            set { clinicID = value; OnPropChanged("ClinicID"); }
        }

        private string name;

        public string Name
        {
            get { return name; }
            set { name = value; OnPropChanged("Name"); }
        }




        public static ObservableCollection<Clinic> SelfListAll()
        {
            ObservableCollection<Clinic> data = new ObservableCollection<Clinic>();

            for (int i = 0; i < 10; i++)
            {
                data.Add(new Clinic { Name = "Clininc " + i, ClinicID = i });
            }

            return data;
        }

        public event PropertyChangedEventHandler PropertyChanged;

        public void OnPropChanged(string s)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(s));
        }
    }



}
